Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80368 - False writes to write-protected hard drive
Summary: False writes to write-protected hard drive
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 7.2
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-25 04:43 UTC by cosmo lee
Modified: 2007-04-18 16:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:19 UTC


Attachments (Terms of Use)

Description cosmo lee 2002-12-25 04:43:42 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.2) Gecko/20021126

Description of problem:
Linux does not detect that it is writing to a write-protected hard drive.  

I can perform "write" operations to a write-protected hard drive and NO errors
are flagged.  Seagate ST34371W w/ Adaptec 2930 scsi controller.  RH 7.2

Below is a clip from some usenet posts:

What was really odd was that I could mount the drive, delete directories and
`ls` would show them as gone.  Eeverything looks normal.  But the next time I
mount the drive, the directories would be there again!  This is the kind of
thing that would have people believe in ghosts.

I remembered that I've seen drives with a pin setting for "write-protect".  I
pulled the drive out, and sure enough *the drive was write-protected*!

What's very curious is the fact that none of the write operations to the drive
resulted in an error.  Neither `fdisk`, `rm`, nor `dd` writes ever resulted in
an error.  Seems like a write to a  write-protected hard drive, like to a floppy
disk, should result in an error!  Interestingly, when I tried to use a Win98
version of `fdisk`, it responded with an error message that it couldn't read the
drive data, and exited.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. mount a drive with write-protection turned on
2. attempt write operations on the drive, e.g., delete a directory
3. unmount drive
4. re-mount drive - Notice that none of the operations took...
    

Expected Results:  OS would have responded that the media cannot be written to.

Additional info:

I don't know if this is, in fact, a bug.  Not all manufacturers have a
"write-protect" feature, but I have noticed it on Seagate drives.  I don't know
if the drive makes any indication to the OS that it is write-protected so that
this could be detected.

Low-priority.  No data is lost due to this.  You just get confused for a little
while...

Comment 1 Bugzilla owner 2004-09-30 15:40:19 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.